Page MenuHomePhabricator

New logo overlaps with the top menu (personal menu) in portrait mode
Closed, DuplicatePublic

Description

This is how the new header looks on iPad with portrait mode:

Related

This will be resolved by: T256893: Move the PersonalMenu to the header

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 25 2020, 2:01 PM

I suggest the layout be made responsive to screen width, so that the logo doesn't exceed the sidebar width when the screen is not wider than a certain threshold, maybe 800px.

Demian added a subscriber: Demian.

@JohanahoJ Thank you for the report, it's being worked on, expected to be merged in the coming days.

Change 585629 had a related patch set uploaded (by Aron Manning; owner: Aron Manning):
[mediawiki/skins/Vector@master] [modern] Move the PersonalMenu into the Header

https://gerrit.wikimedia.org/r/585629

This is a known problem just a low priority as I understand it given we plan to redesign that menu and we default to Minerva/mobile site on iPad.

Demian claimed this task.Jul 1 2020, 5:00 PM
Demian updated the task description. (Show Details)
ovasileva added a subscriber: ovasileva.

I would like us to continue analyzing this task and perhaps expand it to include all cases for smaller screens. @Demian, in the future, please don't remove items from our sprint board.

I would like us to continue analyzing this task and perhaps expand it to include all cases for smaller screens. @Demian, in the future, please don't remove items from our sprint board.

@ovasileva The work is tracked in T256893, this report is kind of a duplicate, but given the fundamentally different perspective, IMO it wouldn't be appropriate to close as such.
However, to avoid confusion, you might want to add that task to the workboard instead, which I intended to do, but unfortunately forgot about.
To clarify, once that task is merged it won't be possible for the logo (referred to as "new header" in this ticket) to overlap the personal menu (referred to as "top menu"). As such there will be nothing to analyze. If you meant analyzing any other possible overlap, that's not the scope of this report.

By removing this project from your workboard I wished to communicate this fact. I reckon I didn't explain this clearly, for which I'm sorry. I expected that it's obvious and/or you're aware of this from communication with your colleagues.

Demian renamed this task from New header overlaps with the top menu in portrait mode to New logo overlaps with the top menu (personal menu) in portrait mode.Jul 6 2020, 12:23 PM

I've folded this into T257279 - @ovasileva @sgrabarczuk would it be okay to merge this task into that one or do you want to keep this open and stall it on that one?

I've folded this into T257279 - @ovasileva @sgrabarczuk would it be okay to merge this task into that one or do you want to keep this open and stall it on that one?

Would that mean only QA for this one? I'm okay with either so long as we can pull the description from here as well

ovasileva triaged this task as Medium priority.Jul 13 2020, 10:13 AM

@ovasileva I've added QA steps to T56373 to make sure this is accounted for. It will be fixed as part of that change.

@ovasileva I've added QA steps to T56373 to make sure this is accounted for. It will be fixed as part of that change.

Perfect, thank you. Will QA in T249363: Move the existing search to the header in preparation for Vue.js search development

Change 585629 abandoned by Jdlrobson:
[mediawiki/skins/Vector@master] [modern] Move the PersonalMenu into the Header

Reason:
Done in https://gerrit.wikimedia.org/r/c/mediawiki/skins/Vector/ /610187

https://gerrit.wikimedia.org/r/585629